The Hong Kong Premiership currently branded as the Nan Fung Group | AIRSIDE Hong Kong Premiership, is the top-tier domestic rugby union competition for rugby union clubs in Hong Kong, organized by the Hong Kong Rugby Union.
The season usually runs from October to March and combines a regular league campaign with end of season playoffs.Teams play a regular league season first, then the top four move into the Grand Championship playoffs. In the men's competition, the regular season lasts 15 rounds. The team who finishes first in the table becomes the League Winner, while the playoff winner becomes the Premiership champion, often called the Grand Champions.
The competition has been played since 2001, and has evolved into the current Premiership system. The current champions are HKFC, who won the league in 2026.
Teams
+Hong Kong Premiership clubs Club Established District Stadium Capacity Titles (Last) HKU Sandy Bay RFC1990Southern District, Hong KongAberdeen Sports Ground9,0002 (2025)Hong Kong Scottish RFC2011Sham Shui PoShek Kip Mei Park1,440Hong Kong FC1886Happy ValleyHong Kong Football Club Stadium2,75012 (2026)Kowloon RFC1976Kowloon CityKing's Park3,0001 (2016)USRC Tigers RFC1978Kowloon CityKing's Park3,000Valley RFC1975Happy ValleyHappy Valley Racecourse2,0007 (2018)
Most Grand championships
Hong Kong FC 12 Titles Valley RFC 8 Titles HKU Sandy Bay RFC 2 Titles Kowloon RFC 1 Titles
Grand Champions year by year 2001 – Hong Kong FC 2002 – Hong Kong FC 2003 – Hong Kong FC 2004 – Hong Kong FC 2005 – Hong Kong FC 2006 – Hong Kong FC 2007 – Hong Kong FC 2008 – Hong Kong FC 2009 – Hong Kong FC 2010 – Valley RFC 2011 – Valley RFC 2012 – Valley RFC 2013 – Valley RFC 2014 – Valley RFC 2015 – Valley RFC 2016 – Kowloon RFC 2017 – Valley RFC 2018 – Valley RFC 2019 – HKU Sandy Bay RFC 2020 – No champion due to COVID-19 2021 – No champion due to COVID-19 2022 – No champion due to COVID-19 2023 – Hong Kong FC 2024 – Hong Kong FC 2025 – HKU Sandy Bay RFC 2026 – Hong Kong FC
See also Rugby union in Hong Kong
References